Subject: Re: [patch 4/4] ucc_geth-fix-build-break-introduced-by-commit-09f75cd7bf13720738e6a196cc0107ce9a5bd5a0-checkpatch-fixes

From: Andrew Morton <[email-masked]>
Date: Wed, 17 Oct 2007 19:47:59 -0700

On Wed, 17 Oct 2007 19:37:21 -0700 (PDT) David Miller <[email-masked]> wrote:

> From: [email-masked]
> Date: Tue, 16 Oct 2007 14:24:12 -0700
> 
> > From: Andrew Morton <[email-masked]>
> > 
> > Cc: "David S. Miller" <[email-masked]>
> > Cc: Emil Medve <[email-masked]>
> > Cc: Jeff Garzik <[email-masked]>
> > Cc: Kumar Gala <[email-masked]>
> > Cc: Li Yang <[email-masked]>
> > Cc: Paul Mackerras <[email-masked]>
> > Signed-off-by: Andrew Morton <[email-masked]>
> 
> Please help my eyes, I can't see the fix:
> 
> > @@ -3454,7 +3454,7 @@ static int ucc_geth_rx(struct ucc_geth_p
> >  	u16 length, howmany = 0;
> >  	u32 bd_status;
> >  	u8 *bdBuffer;
> > -	struct net_device * dev;
> > +	struct net_device *dev;
> >  
> >  	ugeth_vdbg("%s: IN", __FUNCTION__);
> >  
> 
> This might be a coding style fix, as far as I can see, but I can't
> imagine how it can effect compilation at all.  It just removes a space
> between the "*" and "dev" but that space is harmless.

uh, this is fallout from the akpmbot.

- Someone sent a patch which I named foo.patch

- When I applied it I saw valid checkpatch warnings, so I queed a patch to
fix them, called foo-checkpatch-fixes.patch with the intention that it later be
folded into foo.patch

- You merged foo.patch.  But foo-checkpatch-fixes.patch still applied, so I
retained it.

- I sent you the runt foo-checkpatch-fixes.patch.

Normally when this happens I'll just curse the original patch author and
drop foo-checkpatch-fixes.patch.  This time I didn't notice.

(Perhaps people should be adding a checkpatch run to their git-commit
scripts..)